# Final
Date: 2015-05-12

de.dhbwstuttgart.syntaxtree.modifier

## Class Final

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.modifier.Modifier
  - - de.dhbwstuttgart.syntaxtree.modifier.Final

    public class Final
    extends Modifier

Stellt den Modifier Final dar.

### Constructor Summary

Constructors
Constructor and Description
`Final()`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getBitmask()` Liefert den Wert des Access-Modifiers fuer die Bytecode-Generierung zurueck.
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Final

    public Final()

### Method Detail

#### getBitmask

    public short getBitmask()

Description copied from class: `Modifier`
Liefert den Wert des Access-Modifiers fuer die Bytecode-Generierung zurueck.

Specified by:
  `getBitmask` in class `Modifier`

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Modifier`